package com.hongyegroup.cpt_main.router

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.guadou.cs_router.ARouterPath
import com.guadou.cs_router.main.IMainComponentServer
import com.guadou.lib_baselib.utils.log.YYLogUtils
import com.hongyegroup.cpt_main.ui.MainActivity

@Route(path = ARouterPath.PATH_SERVICE_MAIN, name = "Main模块路由服务")
class MainComponentServiceImpl : IMainComponentServer {

    override fun startMainPage() {
        MainActivity.startInstance()
    }

    override fun startNotificationPage() {
        YYLogUtils.w("MainComponentServiceImpl-startNotificationPage")
    }

    override fun init(context: Context?) {
        YYLogUtils.w("MainComponentServiceImpl-init")
    }


}